#ifndef FT_H
#define FT_H

//ExtTextOutfuOptions͏16bitgpĂȂ̂
//LgpĂ
#define DEFINE_FTO(f)	((f) << 16)
#define FTO_MONO		DEFINE_FTO(0x0001)
#define FTO_SIZE_ONLY	DEFINE_FTO(0x0002)


BOOL FontLInit(void);
void FontLFree(void);

typedef struct {
	UINT fuOptions;
	int charExtra;
	COLORREF color;
	int alpha;
	const LOGFONTW* lplf;
} FREETYPE_PARAMS;

BOOL FreeTypeTextOut(
	const HDC hdc,
	CBitmapCache& cache,
	const int nXStart,
	const int nYStart,
	LPCWSTR lpString,
	int cbString,
	const int* lpDx,
	const FREETYPE_PARAMS* params
	);
BOOL FreeTypeGetTextExtentPoint(
	const HDC hdc,
	LPCWSTR lpString,
	int cbString,
	LPSIZE lpSize,
	const FREETYPE_PARAMS* params
	);
BOOL FreeTypeGetCharWidth(
	const HDC hdc,
	UINT iFirstChar,
	UINT iLastChar,
	LPINT lpBuffer
	);

#endif
